Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kieker.tools.traceAnalysis.filter.traceFilter
Enum TraceEquivalenceClassFilter.TraceEquivalenceClassModes

    java.lang.Object
      java.lang.Enum<TraceEquivalenceClassFilter.TraceEquivalenceClassModes>
          kieker.tools.traceAnalysis.filter.traceFilter.TraceEquivalenceClassFilter.TraceEquivalenceClassModes

All Implemented Interfaces:
  Serializable, Comparable<TraceEquivalenceClassFilter.TraceEquivalenceClassModes>

Enclosing class:
  TraceEquivalenceClassFilter

    public static enum TraceEquivalenceClassFilter.TraceEquivalenceClassModes

extends Enum<TraceEquivalenceClassFilter.TraceEquivalenceClassModes>

This enum represents the different trace equivalence class modes.

Since:
  1.2
Author:
  Andre van Hoorn

Enum Constant Summary
`ALLOCATION` Allocation-level equivalence
`ASSEMBLY` Assembly-level equivalence
`DISABLED` Disabled equivalence mode

Method Summary
`static TraceEquivalenceClassFilter.TraceEquivalenceClassModes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TraceEquivalenceClassFilter.TraceEquivalenceClassModes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISABLED

    public static final TraceEquivalenceClassFilter.TraceEquivalenceClassModes DISABLED

  Disabled equivalence mode

### ASSEMBLY

    public static final TraceEquivalenceClassFilter.TraceEquivalenceClassModes ASSEMBLY

  Assembly-level equivalence

### ALLOCATION

    public static final TraceEquivalenceClassFilter.TraceEquivalenceClassModes ALLOCATION

  Allocation-level equivalence

Method Detail

### values

    public static TraceEquivalenceClassFilter.TraceEquivalenceClassModes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TraceEquivalenceClassFilter.TraceEquivalenceClassModes c : TraceEquivalenceClassFilter.TraceEquivalenceClassModes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TraceEquivalenceClassFilter.TraceEquivalenceClassModes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net